---
slug: about
title: About the Ensembl Project
description:
status: draft
---

# About the Ensembl Project

The Ensembl project was started in 1999, some years before the draft human genome was completed. Even at that early stage it was clear that manual annotation of 3 billion base pairs of sequence would not be able to offer researchers timely access to the latest data. The goal of Ensembl was therefore to automatically annotate the genome, integrate this annotation with other available biological data and make all this publicly available via the web. Since the [website's launch in July 2000](http://web.archive.org/web/20000815203739/http://www.ensembl.org/), many more genomes have been added to Ensembl and the range of available data has also expanded to include comparative genomics, variation and regulatory data.

In 2009, the Ensembl Genomes project was launched with specific web portals for plant, fungal, invertebrate metazoan, bacterial and protist genomes. These aim to provide taxonomic reference points giving evolutionary context in which genes can be understood, as well as coverage of all major non-vertebrate experimental organisms, species of agricultural importance, pathogens and vectors. By 2020, Ensembl supported over 50,0000 genomes across the Ensembl and Ensembl Genomes websites including [Rapid Release](https://rapid.ensembl.org/), which gives fast access to freshly annotated genomes, and [COVID-19](https://covid-19.ensembl.org/), providing access to the SARS-CoV-2 genome.

The Ensembl project is headed by [Paul Flicek](http://www.ebi.ac.uk/about/people/paul-flicek) and receives input from an independent scientific advisory board. Our resources are created by a talented group numbering over 70 people, split into thematic teams developing our analysis methods, executing these analyses, developing our online resources and providing engagement with the wider scientific community.

Ensembl is based at the [European Molecular Biology Laboratory's European Bioinformatics Institute](http://www.ebi.ac.uk/), which is located on the [Wellcome Genome Campus](https://www.wellcomegenomecampus.org/) in Hinxton, south of the city of Cambridge, United Kingdom.

You can read more about ongoing developments in Ensembl [on our blog](http://www.ensembl.info/).

If you would like to cite Ensembl or Ensembl Genomes in your work, we recommend referring to our [most recent NAR overview article](http://www.ensembl.org/info/about/publications.html).

## Assemblies and sequence

The DNA sequences and assemblies used in the Ensembl genebuild are provided by various projects around the world. Please see individual species' home pages for acknowledgements.

In order to improve consistency between the data provided by different genome browsers, Ensembl has entered into an agreement with UCSC and NCBI with regard to sequence identifiers:

[Browser Genome Release Agreement](../../legal-and-privacy/browser-genome-release-agreement.md)
